Enrichment

Bulk Add Leads to Sequence

POST /v1/leads/bulk-actions/add-to-sequence

POST/v1/leads/bulk-actions/add-to-sequence
POST
/v1/leads/bulk-actions/add-to-sequence

Add lead-finder leads to a sequence step (creates prospects for new leads, optionally tags them)

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

leadIdsarray<number>

Lead IDs to add to the sequence (max 10000)

Example: [12345,67890]

sequenceIdstring

Sequence ID

Example: "bwOLEx4l8G"

stepIdstring

Step ID of the sequence

Example: "2dP27N0gZ4"

tagIdsarray<string>

Existing tag IDs to assign to the leads

Example: ["VMw56r9jPb"]

newTagsarray<string>

New tag names to create and assign to the leads

Example: ["Tag1","Tag2"]

Responses

200
Leads queued to be added to the sequence
{
  "message": "Success",
  "payload": {
    "message": "5 Lead(s) will be added to Sequence."
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/leads/bulk-actions/add-to-sequence" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "leadIds": [
    12345,
    67890
  ],
  "sequenceId": "bwOLEx4l8G",
  "stepId": "2dP27N0gZ4",
  "tagIds": [
    "VMw56r9jPb"
  ],
  "newTags": [
    "Tag1",
    "Tag2"
  ]
}'

Response

No response body